Bug 490490 - Using boot.iso leads to looking for repodata on boot.iso and failing
Using boot.iso leads to looking for repodata on boot.iso and failing
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11Beta/F11BetaBlocker
  Show dependency treegraph
 
Reported: 2009-03-16 13:29 EDT by Jesse Keating
Modified: 2014-01-21 18:08 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-18 14:33:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda log (35.82 KB, text/plain)
2009-03-16 13:29 EDT, Jesse Keating
no flags Details
storage log (67.78 KB, text/plain)
2009-03-16 13:31 EDT, Jesse Keating
no flags Details
syslog (46.35 KB, text/plain)
2009-03-16 13:32 EDT, Jesse Keating
no flags Details
program log (10.25 KB, text/plain)
2009-03-16 13:32 EDT, Jesse Keating
no flags Details

  None (edit)
Description Jesse Keating 2009-03-16 13:29:30 EDT
Created attachment 335380 [details]
anaconda log

We don't seem to be falling back to network installs.  This is just a simple boot of boot.iso and "next next next".  Attaching logs.
Comment 1 Jesse Keating 2009-03-16 13:31:12 EDT
Created attachment 335381 [details]
storage log
Comment 2 Jesse Keating 2009-03-16 13:32:02 EDT
Created attachment 335382 [details]
syslog
Comment 3 Jesse Keating 2009-03-16 13:32:53 EDT
Created attachment 335383 [details]
program log
Comment 4 Chris Lumens 2009-03-16 14:20:45 EDT
yum/__init__.py:341.  yum thinks the repo config files should be in /mnt/sysimage/etc/anaconda.repos.d but anaconda puts them in /etc/anaconda.repos.d  According to Seth in IRC, there used to be a test here that'd check the existence of the directory before reading the config files and that test needs to be added back.
Comment 5 seth vidal 2009-03-16 14:24:25 EDT
fixed in upstream yum and I'll build a new rawhide build in a moment.
Comment 6 Jesse Keating 2009-03-16 14:45:17 EDT
I'm nitpicky, putting this back into modified until it has actually been tagged for the beta.
Comment 7 Christopher Aillon 2009-03-17 11:35:20 EDT
Created an updates.img with the new yum python modules from http://koji.fedoraproject.org/koji/buildinfo?buildID=94362 and booted using

updates=http://caillon.fedorapeople.org/updates-490490.img

I can confirm this fixes this issue.
Comment 8 Tomas Mraz 2009-03-18 14:10:45 EDT
The today's rawhide boot.iso seems fixed in regards to this issue.
Comment 9 daniele annesi 2009-06-20 07:55:18 EDT
Fedora 11 on a Dell T610.
The boot do not work; it hang up with message "Press ENTER to begin installation".
I substitute vesamenu.c32 with the version on fedora 10 and resolve the boot.
After boot and partitioed with default hard disk ( Controller PERC/1, raid 5 )
i get the following error:
"Unable to read group information from repositories. This
is a problem with the generation of your install tree."
And now ?

Note You need to log in before you can comment on or make changes to this bug.